Mac系统R语言升级后无法加载包报错 package or namespace load failed in dyn.load(file, DLLpath = DLLpath, …):

由Kaizong Ye,Weilong Zhang撰写

我需要安装R软件包stochvol,该软件包 仅适用于3.6.0版的R。

因此,我安装了R(3.6.0 版本),并使用打开它 RStudio但是现在  ,即使我成功 使用来 安装软件包,也无法加载任何库 。

我需要加载的库是stochvol  ,Rcpp和 caret。我尝试重新安装 R, 但仍然无法正常工作。

×

版R语言安装&更新

R语言是顶尖的数据可视化语言,与Mac的视网膜屏结合工作,会有非常惊艳的效果。

    1)R语言安装

             登陆官网

https://www.r-project.org点击打开链接

    找到左侧Download下方CRAN,CRAN是用于安装R的一个下载库。

进入CRAN,这是R的一个国际化开发团队,下拉网页,找到China的下载镜像:


选择离自己地理位置最近的镜像文件链接进行安装,(几个链接位置分别是清华大学、中国科学与技术大学、浙江大学)

进入链接之后,选择中间第二个:

Download R for (Mac)OS X 进行下载。


Mac上,R的安装按照普通软件的安装方式即可。

      2)R语言更新:

              打开R软件——(菜单栏)R——Check For R Updates

                 

            将会打开如下网页:


单击左栏蓝色字体“R-3.3.2.pkg”安装包,支持最新版MacOS(Sierra)

需要使用神经网络建模、机器学习、3D制图等领域的同学,需要额外下载安装右栏蓝色字体部分“XQuartz”,以保证下载包的正常使用,(Sierra不再包括X11.)

 

R语言常用packages及安装

        以下packages的安装环境:MacOS Sierra 、R(3.3.2)

     1)rattle:机器学习、神经网络建模、T检验F检验、决策树【注:新版Mac系统不再含有X11,安装rattle包需要从R官网下载安装XQuartz(下载及安装方法见.三 2))

           安装步骤:

方法一【使用RStudio安装】:打开RStudio——Tools——Install Packages

                                                                            输入:rattle

方法二【R安装】:打开R

 输入:>install.packages("rattle")

使用rattle包:

library(rattle)

 > rattle ()


2)rCharts:绘制交互图形的package,用R与javascript做交互式可视化产品

安装略麻烦,因为rCharts还没有放在CRAN上:

安装步骤:方法一【使用RStudio安装】:打开RStudio——Tools——Install Packages

                                                                                  输入:devtools

console中输入:

>require(devtools)

>install_github('rCharts','ramnathv')                                                                                   

使用rCharts:

library(rCharts)




软件:R

环境:Mac osx

我收到的错误消息是

加载后报错: 

使用Rcpp 成功安装软件包 后 install.packages("Rcpp") ,尝试时我仍然收到上面的消息 library(Rcpp)。 (在升级之前,一切正常,除了我无法安装 quadprog,所以也无法安装 forecast 软件包)。

解决方案:

我了解到,升级到的新版本后,您需要重新编译旧软件包 R。在R 终端中运行以下行 

然后


​非常感谢您阅读本文,如需帮助请联系我们!


 
QQ在线咨询
售前咨询热线
15121130882
售后咨询热线
0571-63341498